---
title: HTMLElement.forceSpellCheck()
slug: Web/API/HTMLElement/forceSpellCheck
tags:
  - API
  - Experimental
  - HTML DOM
  - HTMLElement
  - Method
  - NeedsExample
  - NeedsSpecTable
  - Reference
---
<p>{{ APIRef("HTML DOM") }}{{SeeCompatTable}}</p>

<p>The <code><strong>forceSpellCheck()</strong></code> method of the {{domxref("HTMLElement")}} interface forces a spelling and grammar check on HTML elements, even if the user has not focused on the elements. This method overrides {{glossary("user agent")}} behavior. The specific user interface of the check, for example whether red underlining appears, is determined by the user agent.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>element</em>.forceSpellCheck()</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.forceSpellCheck")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Controlling_spell_checking_in_HTML_formsControlling_spell_checking_in_HTML_forms">Controlling spell checking in HTML forms</a></li>
</ul>
